#
# spec file for package apache2-mod_wsgi
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           apache2-mod_wsgi
%define tarname mod_wsgi
%define apxs /usr/sbin/apxs2
%define apache_libexecdir %(%{apxs} -q LIBEXECDIR)
BuildRequires:  apache2-devel apache2-prefork python-devel
Url:            http://code.google.com/p/modwsgi/
License:        The Apache Software License
Group:          Productivity/Networking/Web/Servers
Version:        2.5
Release:        1.4
Summary:        Python WSGI adapter module for Apache
Source:         http://modwsgi.googlecode.com/files/mod_wsgi-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       mod_wsgi

%description
The aim of mod_wsgi is to implement a simple to use Apache module which
can host any Python application which supports the Python WSGI
interface.

Authors: Graham Dumpleton



%prep
%setup -n %{tarname}-%{version}

%build
%configure \
    --with-apxs="%{apxs}-prefork" \
    --with-python="%__python"
%__make %{?jobs:-j%{jobs}}

%install
mkdir -p $RPM_BUILD_ROOT/%{apache_libexecdir}
cp -p .libs/mod_wsgi.so $RPM_BUILD_ROOT/%{apache_libexecdir}

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc LICENCE README
%dir %{apache_libexecdir}
%{apache_libexecdir}/mod_wsgi.so

%changelog
* Wed May 13 2009 pascal.bleser@opensuse.org
- update to 2.5:
  http://code.google.com/p/modwsgi/wiki/ChangesInVersion0205
- minor spec file fixes (use %%configure, -j%%jobs)
* Wed Sep 17 2008 poeml@suse.de
- update to 2.3. Changelog:
  http://code.google.com/p/modwsgi/wiki/ChangesInVersion0202
  http://code.google.com/p/modwsgi/wiki/ChangesInVersion0203
* Fri Aug  8 2008 poeml@suse.de
- update to 2.1. Changelog:
  http://code.google.com/p/modwsgi/wiki/ChangesInVersion0201
* Tue Mar 11 2008 poeml@suse.de
- initial package (version 1.3)
